/**
 * @dev Class for managing random numbers
 * @dev In the Umbra Protocol, all random numbers should be 32 bytes to ensure sufficient security
 */
import { BigNumber } from '../ethers';
export declare class RandomNumber {
    readonly sizeInBytes = 32;
    readonly value: BigNumber;
    /**
     * @notice Generate a new 32 byte random number
     */
    constructor();
    /**
     * @notice Get random number as hex string
     */
    get asHex(): string;
    /**
     * @notice Get random number as hex string without 0x prefix
     */
    get asHexSlim(): string;
}
//# sourceMappingURL=RandomNumber.d.ts.map