"use strict";
/**
 * @notice Helper file to import all ethers.js methods used in umbra-js (excluding tests). This has two benefits:
 *   1. Easy to track all ethers packages used since all imports are in this file
 *   2. Removes noise from having a lot of import lines in other packages
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wallet = exports.serialize = exports.computeAddress = exports.toUtf8Bytes = exports.sha256 = exports.Web3Provider = exports.StaticJsonRpcProvider = exports.JsonRpcSigner = exports.EtherscanProvider = exports.resolveProperties = exports.keccak256 = exports.namehash = exports.Contract = exports.Zero = exports.HashZero = exports.AddressZero = exports.splitSignature = exports.isHexString = exports.hexZeroPad = exports.hexlify = exports.arrayify = exports.BigNumber = exports.getAddress = exports.defaultAbiCoder = void 0;
var abi_1 = require("@ethersproject/abi");
Object.defineProperty(exports, "defaultAbiCoder", { enumerable: true, get: function () { return abi_1.defaultAbiCoder; } });
var address_1 = require("@ethersproject/address");
Object.defineProperty(exports, "getAddress", { enumerable: true, get: function () { return address_1.getAddress; } });
var bignumber_1 = require("@ethersproject/bignumber");
Object.defineProperty(exports, "BigNumber", { enumerable: true, get: function () { return bignumber_1.BigNumber; } });
var bytes_1 = require("@ethersproject/bytes");
Object.defineProperty(exports, "arrayify", { enumerable: true, get: function () { return bytes_1.arrayify; } });
Object.defineProperty(exports, "hexlify", { enumerable: true, get: function () { return bytes_1.hexlify; } });
Object.defineProperty(exports, "hexZeroPad", { enumerable: true, get: function () { return bytes_1.hexZeroPad; } });
Object.defineProperty(exports, "isHexString", { enumerable: true, get: function () { return bytes_1.isHexString; } });
Object.defineProperty(exports, "splitSignature", { enumerable: true, get: function () { return bytes_1.splitSignature; } });
var constants_1 = require("@ethersproject/constants");
Object.defineProperty(exports, "AddressZero", { enumerable: true, get: function () { return constants_1.AddressZero; } });
Object.defineProperty(exports, "HashZero", { enumerable: true, get: function () { return constants_1.HashZero; } });
Object.defineProperty(exports, "Zero", { enumerable: true, get: function () { return constants_1.Zero; } });
var contracts_1 = require("@ethersproject/contracts");
Object.defineProperty(exports, "Contract", { enumerable: true, get: function () { return contracts_1.Contract; } });
var hash_1 = require("@ethersproject/hash");
Object.defineProperty(exports, "namehash", { enumerable: true, get: function () { return hash_1.namehash; } });
var keccak256_1 = require("@ethersproject/keccak256");
Object.defineProperty(exports, "keccak256", { enumerable: true, get: function () { return keccak256_1.keccak256; } });
var properties_1 = require("@ethersproject/properties");
Object.defineProperty(exports, "resolveProperties", { enumerable: true, get: function () { return properties_1.resolveProperties; } });
var providers_1 = require("@ethersproject/providers");
Object.defineProperty(exports, "EtherscanProvider", { enumerable: true, get: function () { return providers_1.EtherscanProvider; } });
Object.defineProperty(exports, "JsonRpcSigner", { enumerable: true, get: function () { return providers_1.JsonRpcSigner; } });
Object.defineProperty(exports, "StaticJsonRpcProvider", { enumerable: true, get: function () { return providers_1.StaticJsonRpcProvider; } });
Object.defineProperty(exports, "Web3Provider", { enumerable: true, get: function () { return providers_1.Web3Provider; } });
var sha2_1 = require("@ethersproject/sha2");
Object.defineProperty(exports, "sha256", { enumerable: true, get: function () { return sha2_1.sha256; } });
var strings_1 = require("@ethersproject/strings");
Object.defineProperty(exports, "toUtf8Bytes", { enumerable: true, get: function () { return strings_1.toUtf8Bytes; } });
var transactions_1 = require("@ethersproject/transactions");
Object.defineProperty(exports, "computeAddress", { enumerable: true, get: function () { return transactions_1.computeAddress; } });
Object.defineProperty(exports, "serialize", { enumerable: true, get: function () { return transactions_1.serialize; } });
var wallet_1 = require("@ethersproject/wallet");
Object.defineProperty(exports, "Wallet", { enumerable: true, get: function () { return wallet_1.Wallet; } });
//# sourceMappingURL=ethers.js.map