import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../common";
export interface MockHookInterface extends utils.Interface {
    functions: {
        "lastCallData()": FunctionFragment;
        "tokensWithdrawn(uint256,address,address,address,address,uint256,bytes)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "lastCallData" | "tokensWithdrawn"): FunctionFragment;
    encodeFunctionData(functionFragment: "lastCallData", values?: undefined): string;
    encodeFunctionData(functionFragment: "tokensWithdrawn", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    decodeFunctionResult(functionFragment: "lastCallData", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "tokensWithdrawn", data: BytesLike): Result;
    events: {};
}
export interface MockHook extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: MockHookInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        lastCallData(overrides?: CallOverrides): Promise<[
            BigNumber,
            string,
            string,
            string,
            string,
            BigNumber,
            string
        ] & {
            amount: BigNumber;
            stealthAddr: string;
            acceptor: string;
            tokenAddr: string;
            sponsor: string;
            sponsorFee: BigNumber;
            data: string;
        }>;
        tokensWithdrawn(_amount: PromiseOrValue<BigNumberish>, _stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
    };
    lastCallData(overrides?: CallOverrides): Promise<[
        BigNumber,
        string,
        string,
        string,
        string,
        BigNumber,
        string
    ] & {
        amount: BigNumber;
        stealthAddr: string;
        acceptor: string;
        tokenAddr: string;
        sponsor: string;
        sponsorFee: BigNumber;
        data: string;
    }>;
    tokensWithdrawn(_amount: PromiseOrValue<BigNumberish>, _stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        lastCallData(overrides?: CallOverrides): Promise<[
            BigNumber,
            string,
            string,
            string,
            string,
            BigNumber,
            string
        ] & {
            amount: BigNumber;
            stealthAddr: string;
            acceptor: string;
            tokenAddr: string;
            sponsor: string;
            sponsorFee: BigNumber;
            data: string;
        }>;
        tokensWithdrawn(_amount: PromiseOrValue<BigNumberish>, _stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _data: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        lastCallData(overrides?: CallOverrides): Promise<BigNumber>;
        tokensWithdrawn(_amount: PromiseOrValue<BigNumberish>, _stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        lastCallData(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        tokensWithdrawn(_amount: PromiseOrValue<BigNumberish>, _stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=MockHook.d.ts.map