import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../common";
export interface UmbraInterface extends utils.Interface {
    functions: {
        "collectTolls()": FunctionFragment;
        "owner()": FunctionFragment;
        "renounceOwnership()": FunctionFragment;
        "sendEth(address,uint256,bytes32,bytes32)": FunctionFragment;
        "sendToken(address,address,uint256,bytes32,bytes32)": FunctionFragment;
        "setToll(uint256)": FunctionFragment;
        "setTollCollector(address)": FunctionFragment;
        "setTollReceiver(address)": FunctionFragment;
        "tokenPayments(address,address)": FunctionFragment;
        "toll()": FunctionFragment;
        "tollCollector()": FunctionFragment;
        "tollReceiver()": FunctionFragment;
        "transferOwnership(address)": FunctionFragment;
        "withdrawToken(address,address)": FunctionFragment;
        "withdrawTokenAndCall(address,address,address,bytes)": FunctionFragment;
        "withdrawTokenAndCallOnBehalf(address,address,address,address,uint256,address,bytes,uint8,bytes32,bytes32)": FunctionFragment;
        "withdrawTokenOnBehalf(address,address,address,address,uint256,uint8,bytes32,bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "collectTolls" | "owner" | "renounceOwnership" | "sendEth" | "sendToken" | "setToll" | "setTollCollector" | "setTollReceiver" | "tokenPayments" | "toll" | "tollCollector" | "tollReceiver" | "transferOwnership" | "withdrawToken" | "withdrawTokenAndCall" | "withdrawTokenAndCallOnBehalf" | "withdrawTokenOnBehalf"): FunctionFragment;
    encodeFunctionData(functionFragment: "collectTolls", values?: undefined): string;
    encodeFunctionData(functionFragment: "owner", values?: undefined): string;
    encodeFunctionData(functionFragment: "renounceOwnership", values?: undefined): string;
    encodeFunctionData(functionFragment: "sendEth", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "sendToken", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "setToll", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setTollCollector", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "setTollReceiver", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "tokenPayments", values: [PromiseOrValue<string>, PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "toll", values?: undefined): string;
    encodeFunctionData(functionFragment: "tollCollector", values?: undefined): string;
    encodeFunctionData(functionFragment: "tollReceiver", values?: undefined): string;
    encodeFunctionData(functionFragment: "transferOwnership", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "withdrawToken", values: [PromiseOrValue<string>, PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "withdrawTokenAndCall", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "withdrawTokenAndCallOnBehalf", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<string>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "withdrawTokenOnBehalf", values: [
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<string>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    decodeFunctionResult(functionFragment: "collectTolls", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "owner", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "renounceOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sendEth", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sendToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setToll", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setTollCollector", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setTollReceiver", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "tokenPayments", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "toll", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "tollCollector", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "tollReceiver", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferOwnership", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokenAndCall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokenAndCallOnBehalf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawTokenOnBehalf", data: BytesLike): Result;
    events: {
        "Announcement(address,uint256,address,bytes32,bytes32)": EventFragment;
        "OwnershipTransferred(address,address)": EventFragment;
        "TokenWithdrawal(address,address,uint256,address)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Announcement"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "OwnershipTransferred"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "TokenWithdrawal"): EventFragment;
}
export interface AnnouncementEventObject {
    receiver: string;
    amount: BigNumber;
    token: string;
    pkx: string;
    ciphertext: string;
}
export type AnnouncementEvent = TypedEvent<[
    string,
    BigNumber,
    string,
    string,
    string
], AnnouncementEventObject>;
export type AnnouncementEventFilter = TypedEventFilter<AnnouncementEvent>;
export interface OwnershipTransferredEventObject {
    previousOwner: string;
    newOwner: string;
}
export type OwnershipTransferredEvent = TypedEvent<[
    string,
    string
], OwnershipTransferredEventObject>;
export type OwnershipTransferredEventFilter = TypedEventFilter<OwnershipTransferredEvent>;
export interface TokenWithdrawalEventObject {
    receiver: string;
    acceptor: string;
    amount: BigNumber;
    token: string;
}
export type TokenWithdrawalEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    string
], TokenWithdrawalEventObject>;
export type TokenWithdrawalEventFilter = TypedEventFilter<TokenWithdrawalEvent>;
export interface Umbra extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: UmbraInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        collectTolls(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        owner(overrides?: CallOverrides): Promise<[string]>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        sendEth(_receiver: PromiseOrValue<string>, _tollCommitment: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        sendToken(_receiver: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _amount: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setToll(_newToll: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setTollCollector(_newTollCollector: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setTollReceiver(_newTollReceiver: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        tokenPayments(arg0: PromiseOrValue<string>, arg1: PromiseOrValue<string>, overrides?: CallOverrides): Promise<[BigNumber]>;
        toll(overrides?: CallOverrides): Promise<[BigNumber]>;
        tollCollector(overrides?: CallOverrides): Promise<[string]>;
        tollReceiver(overrides?: CallOverrides): Promise<[string]>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        withdrawToken(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        withdrawTokenAndCall(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        withdrawTokenAndCallOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        withdrawTokenOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
    };
    collectTolls(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    owner(overrides?: CallOverrides): Promise<string>;
    renounceOwnership(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    sendEth(_receiver: PromiseOrValue<string>, _tollCommitment: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    sendToken(_receiver: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _amount: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setToll(_newToll: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setTollCollector(_newTollCollector: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setTollReceiver(_newTollReceiver: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    tokenPayments(arg0: PromiseOrValue<string>, arg1: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
    toll(overrides?: CallOverrides): Promise<BigNumber>;
    tollCollector(overrides?: CallOverrides): Promise<string>;
    tollReceiver(overrides?: CallOverrides): Promise<string>;
    transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    withdrawToken(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    withdrawTokenAndCall(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    withdrawTokenAndCallOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    withdrawTokenOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        collectTolls(overrides?: CallOverrides): Promise<void>;
        owner(overrides?: CallOverrides): Promise<string>;
        renounceOwnership(overrides?: CallOverrides): Promise<void>;
        sendEth(_receiver: PromiseOrValue<string>, _tollCommitment: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        sendToken(_receiver: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _amount: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        setToll(_newToll: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setTollCollector(_newTollCollector: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        setTollReceiver(_newTollReceiver: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        tokenPayments(arg0: PromiseOrValue<string>, arg1: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        toll(overrides?: CallOverrides): Promise<BigNumber>;
        tollCollector(overrides?: CallOverrides): Promise<string>;
        tollReceiver(overrides?: CallOverrides): Promise<string>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        withdrawToken(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        withdrawTokenAndCall(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        withdrawTokenAndCallOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        withdrawTokenOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "Announcement(address,uint256,address,bytes32,bytes32)"(receiver?: PromiseOrValue<string> | null, amount?: null, token?: PromiseOrValue<string> | null, pkx?: null, ciphertext?: null): AnnouncementEventFilter;
        Announcement(receiver?: PromiseOrValue<string> | null, amount?: null, token?: PromiseOrValue<string> | null, pkx?: null, ciphertext?: null): AnnouncementEventFilter;
        "OwnershipTransferred(address,address)"(previousOwner?: PromiseOrValue<string> | null, newOwner?: PromiseOrValue<string> | null): OwnershipTransferredEventFilter;
        OwnershipTransferred(previousOwner?: PromiseOrValue<string> | null, newOwner?: PromiseOrValue<string> | null): OwnershipTransferredEventFilter;
        "TokenWithdrawal(address,address,uint256,address)"(receiver?: PromiseOrValue<string> | null, acceptor?: PromiseOrValue<string> | null, amount?: null, token?: PromiseOrValue<string> | null): TokenWithdrawalEventFilter;
        TokenWithdrawal(receiver?: PromiseOrValue<string> | null, acceptor?: PromiseOrValue<string> | null, amount?: null, token?: PromiseOrValue<string> | null): TokenWithdrawalEventFilter;
    };
    estimateGas: {
        collectTolls(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        owner(overrides?: CallOverrides): Promise<BigNumber>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        sendEth(_receiver: PromiseOrValue<string>, _tollCommitment: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        sendToken(_receiver: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _amount: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setToll(_newToll: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setTollCollector(_newTollCollector: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setTollReceiver(_newTollReceiver: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        tokenPayments(arg0: PromiseOrValue<string>, arg1: PromiseOrValue<string>, overrides?: CallOverrides): Promise<BigNumber>;
        toll(overrides?: CallOverrides): Promise<BigNumber>;
        tollCollector(overrides?: CallOverrides): Promise<BigNumber>;
        tollReceiver(overrides?: CallOverrides): Promise<BigNumber>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        withdrawToken(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        withdrawTokenAndCall(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        withdrawTokenAndCallOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        withdrawTokenOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        collectTolls(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        owner(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        renounceOwnership(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        sendEth(_receiver: PromiseOrValue<string>, _tollCommitment: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        sendToken(_receiver: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _amount: PromiseOrValue<BigNumberish>, _pkx: PromiseOrValue<BytesLike>, _ciphertext: PromiseOrValue<BytesLike>, overrides?: PayableOverrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setToll(_newToll: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setTollCollector(_newTollCollector: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setTollReceiver(_newTollReceiver: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        tokenPayments(arg0: PromiseOrValue<string>, arg1: PromiseOrValue<string>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        toll(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        tollCollector(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        tollReceiver(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transferOwnership(newOwner: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        withdrawToken(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokenAndCall(_acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokenAndCallOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _hook: PromiseOrValue<string>, _data: PromiseOrValue<BytesLike>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        withdrawTokenOnBehalf(_stealthAddr: PromiseOrValue<string>, _acceptor: PromiseOrValue<string>, _tokenAddr: PromiseOrValue<string>, _sponsor: PromiseOrValue<string>, _sponsorFee: PromiseOrValue<BigNumberish>, _v: PromiseOrValue<BigNumberish>, _r: PromiseOrValue<BytesLike>, _s: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=Umbra.d.ts.map