import { default as Resolution } from '@unstoppabledomains/resolution';
import type { EthersProvider } from '../types';
export declare const cnsKeyPathSpending = "crypto.ETH.umbra.spending_public_key";
export declare const cnsKeyPathViewing = "crypto.ETH.umbra.viewing_public_key";
/**
 * @notice Computes CNS namehash of the input CNS domain, normalized to CNS compatibility
 * @param name CNS domain, e.g. myname.crypto
 * @param resolution Resolution instance of @unstoppabledomains/resolution
 */
export declare function namehash(name: string, resolution: Resolution): string;
/**
 * @notice For a given CNS domain, returns the public keys, or throws if they don't exist
 * @param name CNS domain, e.g. myname.crypto
 * @param provider ethers provider to use
 * @param resolution Resolution instance of @unstoppabledomains/resolution
 */
export declare function getPublicKeys(name: string, provider: EthersProvider, resolution: Resolution): Promise<{
    spendingPublicKey: string;
    viewingPublicKey: string;
}>;
//# sourceMappingURL=cns.d.ts.map